---
title: "GET organization"
url: "https://developer.migros.ch/apis/iam-api-0/versions/976fd3d6-52b0-46fb-8b82-33f4b00b51db/operations/getOrganizationById"
---

> Full API specification: https://developer.migros.ch/apis/iam-api-0/versions/976fd3d6-52b0-46fb-8b82-33f4b00b51db.md

# GET organization

`GET` `/migros/iam/v2/Organizations/{orgId}`

Operation ID: `getOrganizationById`

An endpoint for fetching an organization data

## Path parameters

- `orgId` (string, required) - Organization id

## Responses

- `200` - Message

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: IAM API
  version: 0.1.0
servers:
  - description: URL of upstream IAM API in Azure Kubernetes
    url: https://iamapi.service.migros.cloud
paths:
  /migros/iam/v2/Organizations/{orgId}:
    get:
      description: An endpoint for fetching an organization data
      operationId: getOrganizationById
      parameters:
        - description: Organization id
          in: path
          name: orgId
          required: true
          schema:
            type: string
      responses:
        "200":
          content:
            text/plain:
              schema:
                type: string
          description: Message
      summary: GET organization
      tags:
        - iam-api-tag
      x-kong-plugin-rate-limiting:
        config:
          hour: 50000
          second: 15
```
